import React, { createContext, ReactNode } from "react";

export type Client = {
  url: string;
};

interface QueryProviderProps {
  client: Client;
  children: ReactNode;
}

export const QueryContext = createContext(null);

function QueryProvider({ children, client }: QueryProviderProps) {
  return (
    <QueryContext.Provider value={(client as any) ?? ""}>
      {children}
    </QueryContext.Provider>
  );
}

export { QueryProvider };
